﻿@{
    ViewBag.NomePagina = "Consultor";
}

@Html.Partial("~/Views/Paginas/CadastroConsultor/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Parâmetros  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Consultor
    </span>
</div>

<div id="dvAtvDsvContent" class="custom-drop" style="display: none;">
    <button class="btn btn-outline-dark custom-drop-item" id="btnAtivar">
        <i class="fa fa-check">&nbsp;</i> Ativar
    </button>
    <button class="btn btn-outline-dark custom-drop-item" id="btnDesativar">
        <i class="fa fa-times">&nbsp;</i> Desativar
    </button>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2Consultores.cshtml", new Select2ConsultoresViewModel() { idControleSelect2 = "selCon", idControleInput = "TxtCon", clasColSelect = "col-md-5", tipoPesquisa = true, ativo = false, multiplo = false })
        <i class="material-icons">more_vert</i>
        <select id="ddlStatus" class="form-control">
            <option value="0" selected="selected">Selecione um status...</option>
            <option value="1">ATIVO</option>
            <option value="2">DESATIVO</option>
        </select>
        <i class="material-icons">more_vert</i>
        <select id="ddlPerfil" class="form-control">
            <option value="0" selected="selected">Selecione um perfil...</option>
            <option value="1">CONSULTOR VENDAS</option>
            <option value="2">MONITOR VENDAS</option>
            <option value="3">COBRANÇA</option>
            <option value="4">ADMINISTRATIVO</option>
        </select>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>

    <div class="dataTables_consulta">
        <div id="grdCadastroConsultorContainer"></div>
    </div>
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Cadastro Consultor</strong>
            </div>
            <div class="col-md-6 tgv-crud-log-text divShowHide">
                <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtCodFnc" class="input-span-title" value="" /></span>
                <span class="tgv-mer-log">
                    <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
                </span>
                <div class="tgv-mer-log-container" id="logInfoContainer">
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title-border">Registro</strong>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Cadastro:</strong> <span><input type="text" id="txtDatFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Alteração:</strong> <span><input type="text" id="txtDatFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div id="divFunInserir" class="col-md-7 nopaddingright" style="display: flex;">
                    @Html.Partial("~/Views/Partials/Select2FuncionariosCodigos.cshtml", new Select2FuncionariosViewModel() { idControleSelect2 = "selFnc", idControleInput = "txtFnc", clasColInput = "col-md-3", clasColSelect = "col-md-9", margintopSel = "margin-top: 6px;" })
                </div>
                <div id="divFunEditar" class="col-md-7 nopaddingright" style="display: none; display: flex;">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="input-text-1">
                                <strong class="strong-min-tgv">Nome:</strong>
                            </label>
                            <div class="mdl-textfield mdl-js-textfield">
                                <input class="mdl-textfield__input" id="txtNomFnc" name="txtNomFnc" type="text" disabled>
                                <label class="mdl-textfield__label" for="txtNomFnc"></label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Perfil:</strong>
                        </label>
                        <div class="tgv-select-material">
                            <select id="ddlCodPflAcs" name="ddlCodPflAcs" class="form-control limparTooltipChange">
                                <option selected="selected" value="0">Selecione</option>
                                <option value="1">CONSULTOR VENDAS</option>
                                <option value="2">MONITOR VENDAS</option>
                                <option value="3">COBRANÇA</option>
                                <option value="4">ADMINISTRATIVO</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnInserirCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-floppy-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnEditarCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-pencil-square-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnFecharCadastro" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>

    </form>
</div>

@Html.Partial("~/Views/Paginas/CadastroConsultor/Partials/_IndexScript.cshtml")
